version: '3.8'

networks:
  jenkins-service-network:
    name: jenkins-service-network
    driver: bridge

volumes:
  jenkins_home:
    name: jenkins_home

services:
  jenkins-service:
    container_name: jenkins-service

    build: .

    user: root

    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
      - jenkins_home:/var/jenkins_home

    networks:
      - jenkins-service-network

    ports:
      - 8080:8080
      - 50000:50000
